SystemOrganization addCategory: #'Alt-Refactoring-Commands'!

AltCommand subclass: #AltRBFormatCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Alt-Refactoring-Commands'!

!AltRBFormatCommand commentStamp: '<historical>' prior: 0!
This class is for the source code formatting command.
!

!AltRBFormatCommand methodsFor: 'execution' stamp: 'ThierryGoubier 9/28/2012 21:49'!
execute
	"Code derived from ORFormatCmd (OmniBrowser) and simplified. Will fail silently if the code is incorrect."

	| source tree formatted |
	source := target text asString.
	tree := RBParser parseMethod: source onError: [ :msg :pos | ^ self ].
	formatted := tree formattedCode.
	formatted = source
		ifTrue: [ ^ self ].
	target
		editString: formatted;
		hasUnacceptedEdits: true! !

!AltRBFormatCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 8/1/2012 16:31'!
icon
	^ nil! !

!AltRBFormatCommand methodsFor: 'testing' stamp: 'ThierryGoubier 8/1/2012 16:36'!
isActive
	^ true! !

!AltRBFormatCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 8/1/2012 16:31'!
keystroke
	^ $r ctrl! !

!AltRBFormatCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 9/12/2012 15:12'!
label
	^ 'Format'! !

AltCommand subclass: #AltRBRedoCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Alt-Refactoring-Commands'!

!AltRBRedoCommand commentStamp: '<historical>' prior: 0!
This is the RB redo command.!

!AltRBRedoCommand methodsFor: 'execution' stamp: 'ThierryGoubier 10/10/2012 09:07'!
execute
	RBRefactoryChangeManager instance redoOperation! !

!AltRBRedoCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 10/10/2012 09:05'!
icon
	^ #smallRedoIcon! !

!AltRBRedoCommand methodsFor: 'testing' stamp: 'ThierryGoubier 10/10/2012 09:05'!
isActive
	^ true! !

!AltRBRedoCommand methodsFor: 'testing' stamp: 'ThierryGoubier 10/10/2012 09:06'!
isEnabled
	^ RBRefactoryChangeManager instance hasRedoableOperations! !

!AltRBRedoCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 10/10/2012 09:05'!
keystroke
	^ $y ctrl! !

!AltRBRedoCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 10/10/2012 09:05'!
label
	"Depends on whether there is anything to redo or not."

	RBRefactoryChangeManager instance hasRedoableOperations
		ifTrue: [ ^ 'Redo ' , RBRefactoryChangeManager instance redoChange name ]
		ifFalse: [ ^ 'Redo ...' ]! !

AltCommand subclass: #AltRBUndoCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Alt-Refactoring-Commands'!

!AltRBUndoCommand commentStamp: '<historical>' prior: 0!
An AltRBUndoCommand is for handling the undo facilities of RB.!

!AltRBUndoCommand methodsFor: 'execution' stamp: 'ThierryGoubier 10/9/2012 23:14'!
execute
	RBRefactoryChangeManager instance undoOperation! !

!AltRBUndoCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 10/10/2012 09:01'!
icon
	^ #smallUndoIcon! !

!AltRBUndoCommand methodsFor: 'testing' stamp: 'ThierryGoubier 10/9/2012 23:13'!
isActive
	^ true! !

!AltRBUndoCommand methodsFor: 'testing' stamp: 'ThierryGoubier 10/9/2012 23:14'!
isEnabled
	^ RBRefactoryChangeManager instance hasUndoableOperations! !

!AltRBUndoCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 10/9/2012 22:55'!
keystroke
	^ $z ctrl! !

!AltRBUndoCommand methodsFor: 'accessing' stamp: 'ThierryGoubier 10/9/2012 23:22'!
label
	"Depends on the state of the undoing facility of RB and what it contains."

	RBRefactoryChangeManager instance hasUndoableOperations
		ifTrue: [ ^ 'Undo ' , RBRefactoryChangeManager instance undoChange name ]
		ifFalse: [ ^ 'Undo ...' ]! !

!ABMethodNode methodsFor: '*Alt-Refactoring-Commands' stamp: 'ThierryGoubier 10/10/2012 19:29'!
formatCommand
	<textAreaCommand>
	^ {AltRBFormatCommand}! !

!ABClassNode methodsFor: '*alt-refactoring-commands' stamp: 'ThierryGoubier 10/10/2012 13:57'!
refactoringCommands
	<treeAreaCommand>
	
	^ { AltRBUndoCommand. AltRBRedoCommand. AltRBClassRenameCommand }! !

!ABMethodCategoryNode methodsFor: '*Alt-Refactoring-Commands' stamp: 'ThierryGoubier 10/10/2012 19:29'!
formatCommand
	<textAreaCommand>
	^ {AltRBFormatCommand}! !
